Reorder the metadata descriptors of a project

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/projects/{project_id}/metadata-descriptors/reorder

Set the order of the metadata descriptors of an entity type. Give the descriptor identifiers in the new order. You must be a manager of the project.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

application/json

Body Required

  • entity_type string Required

    Entity type for the metadata descriptors

    Values are Asset, Shot, Edit, Episode, Sequence, Project, or Task.

  • descriptor_ids array[string(uuid)] Required

    List of metadata descriptor IDs in the desired order

Responses

  • 200 application/json

    The reordered descriptors

    Hide response attributes Show response attributes object
    • id string(uuid)

      Metadata descriptor unique identifier

    • name string

      Metadata descriptor name

    • position integer

      Position of the descriptor

    • entity_type string

      Entity type

  • 400

    The body is not valid, or a descriptor does not exist

  • 403

    You are not a manager of the project

POST /data/projects/{project_id}/metadata-descriptors/reorder
curl -X POST "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/metadata-descriptors/reorder" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "entity_type": "Asset",
  "descriptor_ids": [
    "b35b7fb5-df86-5776-b181-68564193d36",
    "c46c8gc6-eg97-6887-c292-79675204e47"
  ]
}'
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/metadata-descriptors/reorder"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "entity_type": "Asset",
    "descriptor_ids": [
        "b35b7fb5-df86-5776-b181-68564193d36",
        "c46c8gc6-eg97-6887-c292-79675204e47"
    ]
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
{
  "entity_type": "Asset",
  "descriptor_ids": [
    "b35b7fb5-df86-5776-b181-68564193d360",
    "c46c80c6-e097-6887-c292-79675204e470"
  ]
}
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "name": "Custom Field",
    "position": 1,
    "entity_type": "Asset"
  }
]